class CreateWhalebackChunkFiles < ActiveRecord::Migration[5.1]
  def change
    create_table :whaleback_chunk_files do |t|
      t.integer :chunk_number, comment: '文件块数，从1开始'
      t.integer :chunk_size, comment: '文件块的大小'
      t.integer :current_chunk_size, comment: '当前文件块的大小'
      t.integer :total_size, comment: '文件总大小'
      t.string :identifier, comment: '文件标识'
      t.string :filename, comment: '文件名'
      t.integer :total_chunks, comment: '文件块的总个数'

      t.timestamps
    end
  end
end
