require "whaleback/version"
require 'paperclip'

module Whaleback
  require 'whaleback/errors'
  require 'whaleback/media_column'

  ActiveRecord::Base.include(Whaleback::MediaColumn)

  module Media
    def self.table_name_prefix
      'whaleback_media_'
    end
    autoload :Obj,         'whaleback/media/obj'
    autoload :Attachment,  'whaleback/media/attachment'
  end
  
  def self.table_name_prefix
    'whaleback_'
  end
  
  autoload :ChunkFile, 'whaleback/chunk_file'
end
