# == Schema Information
#
# Table name: media_attachments
#
#  id            :integer          not null, primary key
#  column_name   :string(255)
#  attached_type :string(255)
#  attached_id   :integer
#  obj_id        :integer
#  created_at    :datetime         not null
#  updated_at    :datetime         not null
#
# Indexes
#
#  index_media_attachments_on_attached_type_and_attached_id  (attached_type,attached_id)
#  index_media_attachments_on_obj_id                         (obj_id)
#

module Whaleback
  module Media
    class Attachment < ApplicationRecord
      belongs_to :attached, polymorphic: true
      belongs_to :obj
    end  
  end
end
